package cn.pluss.platform.suggest;

import java.util.List;
import java.util.Map;
import cn.pluss.platform.entity.Suggest;
import com.baomidou.mybatisplus.extension.service.IService;

public interface SuggestService extends IService<Suggest> {

    Suggest querySuggest(Suggest suggest);

    List<Suggest> querySuggestList(Suggest suggest);

    void saveSuggest(Suggest suggest);

    void updateSuggest(Suggest suggest);

    void deleteSuggest(Suggest suggest);

    List<Suggest> querySuggestPage(Map map);

    Integer querySuggestPageCount(Map map);

    void saveSuggestBatch(List<Suggest> suggestList);
}

